import React, { Component } from 'react'

import { Form, Input, DatePicker, Row, Col, Button, Icon, Select } from 'antd';

import { InputSize, Currency } from "./Utils"

import YBIC from './YBIC'
const FormItem = Form.Item;
const Option = Select.Option


export default class T16R extends Component {

    name = '16R'
    desp = "Indicator"

    pattern = "1!a"
    tno = -1

    onChange = (index, val) => {
        this.props.onValue([{ s1: val }, val])
    }

    render() {
        let value = this.props.value

        let mval = value && value.length ? value[1] : ''
        let errmsg = value && value.length == 3 ? value[2] : {}

        value = value && value.length ? value[0] : {}

        return (
            <div>
                <Row>

                <Col  style={{"minWidth":'150px'}} span={3}>
                <FormItem
                 label="Number"  
                    required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >                       
                        <Input readonly='true' value={value.s1} onChange={e=>this.onChange(1,e.target.value)}  maxLength={5} style={{imeMode:'disabled'}} placeholder="Number"/>
                </FormItem>
            </Col>

                </Row>
            </div>
        )
    }
}